Subject: RE: LSP-ping

From: Shahram Davari <[email-masked]>
Date: Fri, 20 Jul 2001 12:10:08 -0700

Sursh,

I think the answer is that other mechanism such as customer complain detect that a fault exist in the first place.

-Shahram

> -----Original Message-----
> From: Suresh Katukam [mailto:[email-masked]]
> Sent: Thursday, July 19, 2001 7:32 PM
> To: Shahram Davari
> Cc: Eric Gray; 'Ping Pan'; [email-masked]'
> Subject: Re: LSP-ping
> 
> 
> 
> Ping, Shahram,
> 
> Is the following question in Shahram's mail answered?
> 
> Thanks,
> Suresh
> 
> Shahram Davari wrote:
> > 
> > Hi Ping,
> > 
> > Could you please clarify, which mechanism finds that there 
> is a problem in the first place. Is it customer complain, or 
> do you run ICMP-ping continuously over the life of the LSP?
> > 
> > -Shahram
> > 
> > > -----Original Message-----
> > > From: Peter Willis [mailto:[email-masked]]
> > > Sent: Wednesday, July 18, 2001 5:30 AM
> > > To: Eric Gray
> > > Cc: [email-masked]; Shahram Davari; [email-masked]'
> > > Subject: Re: LSP-ping
> > >
> > >
> > > Colleagues,
> > >
> > > Perhaps the draft-pan-lsp-ping-00.txt can be modified to make
> > > it more clear
> > > that this is a DIAGNOSTIC tool used AFTER the LSP has failed
> > > to deliver user
> > > traffic. The draft says this clearly in Section 4
> > > "Motivation" but does not
> > > make this clear in the Abstract and Section 3 where it says
> > > "This document describes a simple and efficient mechanism 
> that can be
> > >    used to detect data plane failures in MPLS LSP's"
> > >
> > > I think instead of saying "used to detect data plane
> > > failures" it should say
> > > "used to diagnose data plane failures".
> > >
> > > If this wording was changed I would be a lot happier with 
> this draft.
> > >
> > > Then I can go on to point out that the actual DETECTION
> > > mechanism used by this
> > > draft is the customer, that is the customer notices
> > > connectivity has failed
> > > and this triggers diagnostics. So we still need a mechanism
> > > to detect LSP
> > > failure.
> > >
> > >
> > > --------------------------------------------------------------
> > > ------------------
> > > Peter Willis
> > > [email-masked]
> > > IP Technology Strategist                              Phone:
> > > +44 (0)1473 645178
> > > Chief Technology Office                               Fax:
> > > +44 (0)1473 644506
> > > BTexact Technologies.
> > > PP3, RSB10, Adastral Park, Martlesham, Ipswich IP5 3RE, UK.
> > > --------------------------------------------------------------
> > > ------------------
> > >
> > >
>